Geo::GDAL::FFI::VSI(3pm)

NAME
Geo::GDAL::FFI::VSI - A GDAL virtual file system

SYNOPSIS
use Geo::GDAL::FFI::VSI qw/FOpen Mkdir ReadDir/;

DESCRIPTION

METHODS

  FOpen($path, $access)
 my $file = FOpen('/vsimem/file', 'w');

Short for Geo::GDAL::FFI::VSI::File::Open

  Mkdir($path, $mode)
$mode is optional and by default 0x0666.

  ReadDir($path, $max_files)
$max_files is optional and by default 0, i.e., read all names of files in the dir.

LICENSE
This software is released under the Artistic License. See perlartistic.

AUTHOR
Ari Jolma - Ari.Jolma at gmail.com

SEE ALSO
Geo::GDAL::FFI

Alien::gdal, FFI::Platypus, <http://www.gdal.org>